Package twisted :: Package trial :: Module util

[frames | no frames]

## Module twisted.trial.util

Function Summary
| `_append(result, lst)`
| `_getDeferredResult(d, timeout)`
| ``deferredError`(d, timeout)` Waits for deferred to fail, and it returns the Failure.
| ``deferredResult`(d, timeout)` Waits for a Deferred to arrive, then returns or throws an exception, based on the result.
| ``extract_tb`(tb, limit)` Extract a list of frames from a traceback, without unittest internals.
| ``format_exception`(eType, eValue, tb, limit)` A formatted traceback and exception, without exposing the framework.
| `isTestCase(testCase)`
| `isTestClass(testClass)`
| `reactorCleanUp()`

Variable Summary
`list` | `_failureConditionals` = `['fail', 'failIf', 'failUnless', ...`

Function Details

### deferredError(d, timeout=None)

Waits for deferred to fail, and it returns the Failure.

If the deferred succeeds, raises FailTest.

### deferredResult(d, timeout=None)

Waits for a Deferred to arrive, then returns or throws an exception, based on the result.

### extract_tb(tb, limit=None)

Extract a list of frames from a traceback, without unittest internals.

Functionally identical to `traceback.extract_tb`, but cropped to just the test case itself, excluding frames that are part of the Trial testing framework.

### format_exception(eType, eValue, tb, limit=None)

A formatted traceback and exception, without exposing the framework.

I am identical in function to `traceback.format_exception`, but I screen out frames from the traceback that are part of the testing framework itself, leaving only the code being tested.

Variable Details

### _failureConditionals

  Type:
    `list`
  Value:

        ['fail',
         'failIf',
         'failUnless',
         'failUnlessRaises',
         'failUnlessEqual',
         'failUnlessIdentical',
         'failIfEqual',
         'assertApproximates']

Generated by Epydoc 2.0 on Wed Feb 25 07:36:37 2004 | http://epydoc.sf.net